summaryrefslogtreecommitdiff
path: root/qa/331
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/331
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/331')
-rwxr-xr-xqa/33143
1 files changed, 43 insertions, 0 deletions
diff --git a/qa/331 b/qa/331
new file mode 100755
index 0000000..2116694
--- /dev/null
+++ b/qa/331
@@ -0,0 +1,43 @@
+#! /bin/sh
+# PCP QA Test No. 331
+# Interp mode (similar to qa/093, but with purify)
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+_filter()
+{
+ $PCP_AWK_PROG '
+BEGIN { skip = 1 }
+/ Purify / { skip = 0 }
+/^FIU/ { skip = 2; next }
+/^[^ ]/ && skip == 2 { skip = 0 }
+skip == 0 { print }'
+}
+
+_check_purify src/interp2
+
+status=1 # failure is the default!
+trap "cd $here; rm -rf $tmp; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+_setup_purify src/interp2
+
+for arch in src/bigbin src/mv-bigbin src/noti-foo
+do
+ echo
+ echo "=== $arch ==="
+ _run_purify -a $here/$arch | _filter
+done
+
+# all done
+status=0
+exit